# DataExchange
TKSTEP
StepAP203

# StepAP203_Array1OfChangeRequestItem Class Reference

`#include <StepAP203_Array1OfChangeRequestItem.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP203_Array1OfChangeRequestItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP203_Array1OfChangeRequestItem (const StepAP203_ChangeRequestItem &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepAP203_ChangeRequestItem &V)
Standard_EXPORT void | Destroy ()
| ~StepAP203_Array1OfChangeRequestItem ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepAP203_Array1OfChangeRequestItem & | Assign (const StepAP203_Array1OfChangeRequestItem &Other)
const StepAP203_Array1OfChangeRequestItem & | operator= (const StepAP203_Array1OfChangeRequestItem &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP203_ChangeRequestItem &Value)
const StepAP203_ChangeRequestItem & | Value (const Standard_Integer Index) const
const StepAP203_ChangeRequestItem & | operator() (const Standard_Integer Index) const
StepAP203_ChangeRequestItem & | ChangeValue (const Standard_Integer Index)
StepAP203_ChangeRequestItem & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepAP203_Array1OfChangeRequestItem (const StepAP203_Array1OfChangeRequestItem &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_Array1OfChangeRequestItem::StepAP203_Array1OfChangeRequestItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP203_Array1OfChangeRequestItem::StepAP203_Array1OfChangeRequestItem | ( | const StepAP203_ChangeRequestItem & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepAP203_Array1OfChangeRequestItem::~StepAP203_Array1OfChangeRequestItem | ( |  | ) | `[inline]`

Standard_EXPORT StepAP203_Array1OfChangeRequestItem::StepAP203_Array1OfChangeRequestItem | ( | const StepAP203_Array1OfChangeRequestItem & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepAP203_Array1OfChangeRequestItem& StepAP203_Array1OfChangeRequestItem::Assign | ( | const StepAP203_Array1OfChangeRequestItem & | Other | ) |

StepAP203_ChangeRequestItem& StepAP203_Array1OfChangeRequestItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepAP203_Array1OfChangeRequestItem::Destroy | ( |  | ) |

Standard_EXPORT void StepAP203_Array1OfChangeRequestItem::Init | ( | const StepAP203_ChangeRequestItem & | V | ) |

Standard_Boolean StepAP203_Array1OfChangeRequestItem::IsAllocated | ( |  | ) | const

Standard_Integer StepAP203_Array1OfChangeRequestItem::Length | ( |  | ) | const

Standard_Integer StepAP203_Array1OfChangeRequestItem::Lower | ( |  | ) | const

void StepAP203_Array1OfChangeRequestItem::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepAP203_Array1OfChangeRequestItem::operator new | ( | size_t | size | ) | `[inline]`

void* StepAP203_Array1OfChangeRequestItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepAP203_ChangeRequestItem& StepAP203_Array1OfChangeRequestItem::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepAP203_ChangeRequestItem& StepAP203_Array1OfChangeRequestItem::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepAP203_Array1OfChangeRequestItem& StepAP203_Array1OfChangeRequestItem::operator= | ( | const StepAP203_Array1OfChangeRequestItem & | Other | ) | `[inline]`

void StepAP203_Array1OfChangeRequestItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP203_ChangeRequestItem & | Value
| ) |

Standard_Integer StepAP203_Array1OfChangeRequestItem::Upper | ( |  | ) | const

const StepAP203_ChangeRequestItem& StepAP203_Array1OfChangeRequestItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepAP203_Array1OfChangeRequestItem::isAllocated`[private]`

Standard_Integer StepAP203_Array1OfChangeRequestItem::myLowerBound`[private]`

Standard_Address StepAP203_Array1OfChangeRequestItem::myStart`[private]`

Standard_Integer StepAP203_Array1OfChangeRequestItem::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepAP203_Array1OfChangeRequestItem.hxx